{% from '@cambridge_tailwind/components/link/link.twig' import linkClasses %}
{% set menuLinkClasses = linkClasses(true, false) | spaceless | split(" ") | merge(["flex", "flex-row", "items-center", "self-center", "gap-4", "leading-7", "p-8"]) %}

<div class="hidden" id="mobile-menu-wrapper" aria-hidden="true">
  {% set linkAttributes = create_attribute().addClass(menuLinkClasses) %}
  <div class="mx-[-8px] py-12">
    <button
      id="mobile-menu-button"
      aria-controls="menu-panel-mobile/home"
      aria-expanded="false"
      aria-haspopup="true"
      data-menu-control="menu-panel-mobile/home"
      {{linkAttributes}}
    >
      Menu
      <span class="mr-6">
        {% include '@cambridge_tailwind/components/menu/images/hamburger.svg.twig' %}
      </span>
    </button>
  </div>
  <div
    class="absolute top-0 left-0 bottom-0 right-16 motion-reduce:transition-none min-h-screen max-h-screen transition-transform -translate-x-[100vw] bg-white xs:hidden shadow-md border-divider-subtle border-r-1"
    id="mobile-menu-panel-wrapper"
    aria-hidden="true"
  >
    <div class="absolute top-0 left-0 bottom-0 w-full overflow-scroll">
    {# All the different panels for the mobile menu go here #}
    {% include '@cambridge_tailwind/components/menu/mobile-open-panel.twig' with { id: "/home", title: "Site name", items: menu_items, parentUrl: null, depth: 1 } only %}
    </div>
  </div>
</div>